//
// NAME: CIDCrypto_ThisFacility.Hpp
//
// DESCRIPTION:
//
//  This is the header file for the CIDCrypto_ThisFacility.Cpp module. This
//  module implements the facility class for this facility. An object of this
//  class is created, named facCIDLib, and exported to the outside world to
//  give them access to this facility's global functionality and resources.
//
//  This class derives from the TFacility class, from which it inherits a lot
//  of functionality that is module handle oriented.
//
//
// AUTHOR: Dean Roddey
//
// CREATE DATE: 10/23/96
//
// COPYRIGHT: 1992..1997, 'CIDCorp
//


#pragma pack(push, CIDLIBPACK)

// ----------------------------------------------------------------------------
//  CLASS: TFacCIDCrypto
// PREFIX: fac
// ----------------------------------------------------------------------------
class CIDCRYPTEXP TFacCIDCrypto : public TFacility
{
    public  :
        // --------------------------------------------------------------------
        //  Constructors and Destructors.
        // --------------------------------------------------------------------
        TFacCIDCrypto();

        ~TFacCIDCrypto();


    private :
        // --------------------------------------------------------------------
        //  Unimplmented constructors and operators
        // --------------------------------------------------------------------
        TFacCIDCrypto(const TFacCIDCrypto&);

        tCIDLib::TVoid operator=(const TFacCIDCrypto&);


        // --------------------------------------------------------------------
        //  Do any needed magic macros
        // --------------------------------------------------------------------
        RTTIMacros(TFacCIDCrypto,TFacility)
};

#pragma pack(pop)
